=== modified file 'drizzled/sql_lex.h'
--- drizzled/sql_lex.h	2009-05-15 07:16:35 +0000
+++ drizzled/sql_lex.h	2009-05-15 21:10:48 +0000
@@ -17,8 +17,8 @@
  *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  */
 
-#ifndef DRIZZLE_SERVER_SQL_LEX_H
-#define DRIZZLE_SERVER_SQL_LEX_H
+#ifndef DRIZZLED_SQL_LEX_H
+#define DRIZZLED_SQL_LEX_H
 
 /**
   @defgroup Semantic_Analysis Semantic Analysis
@@ -1383,22 +1383,6 @@
   }
 };
 
-struct st_lex_local: public LEX
-{
-  static void *operator new(size_t size) throw()
-  {
-    return sql_alloc(size);
-  }
-  static void *operator new(size_t size, MEM_ROOT *mem_root) throw()
-  {
-    return (void*) alloc_root(mem_root, (uint32_t) size);
-  }
-  static void operator delete(void *, size_t)
-  { TRASH(ptr, size); }
-  static void operator delete(void *, MEM_ROOT *)
-  { /* Never called */ }
-};
-
 extern void lex_start(Session *session);
 extern void lex_end(LEX *lex);
 
@@ -1411,4 +1395,4 @@
 */
 
 #endif /* DRIZZLE_SERVER */
-#endif /* DRIZZLE_SERVER_SQL_LEX_H */
+#endif /* DRIZZLED_SQL_LEX_H */

=== added directory 'tests/suite/md5'
=== added directory 'tests/suite/md5/r'
=== added file 'tests/suite/md5/r/md5.result'
--- tests/suite/md5/r/md5.result	1970-01-01 00:00:00 +0000
+++ tests/suite/md5/r/md5.result	2009-05-14 20:59:28 +0000
@@ -0,0 +1,16 @@
+SELECT MD5("I love testing");
+MD5("I love testing")
+dc30ccbf874c4faa408ffdc500c2e29a
+SELECT MD5("I love testing");
+MD5("I love testing")
+dc30ccbf874c4faa408ffdc500c2e29a
+DROP TABLE IF EXISTS t1;
+CREATE TABLE t1
+(
+some_text VARCHAR(100) NOT NULL
+);
+INSERT INTO t1 VALUES ("I love testing");
+SELECT MD5("I love testing") = MD5(some_text) FROM t1;
+MD5("I love testing") = MD5(some_text)
+1
+DROP TABLE t1;

=== added directory 'tests/suite/md5/t'
=== added file 'tests/suite/md5/t/md5-master.opt'
--- tests/suite/md5/t/md5-master.opt	1970-01-01 00:00:00 +0000
+++ tests/suite/md5/t/md5-master.opt	2009-05-14 20:59:28 +0000
@@ -0,0 +1,1 @@
+--plugin_load=libmd5udf.so

=== added file 'tests/suite/md5/t/md5.test'
--- tests/suite/md5/t/md5.test	1970-01-01 00:00:00 +0000
+++ tests/suite/md5/t/md5.test	2009-05-14 20:59:28 +0000
@@ -0,0 +1,23 @@
+# 
+# Verify that MD5() function returns a deterministic result
+# when successively supplied with the same constant.
+#
+
+SELECT MD5("I love testing");
+SELECT MD5("I love testing");
+
+# 
+# Check that the hash of a constant is identical to the hash
+# of the same constant stored in a table column.
+#
+
+--disable_warnings
+DROP TABLE IF EXISTS t1;
+--enable_warnings
+CREATE TABLE t1
+(
+  some_text VARCHAR(100) NOT NULL
+);
+INSERT INTO t1 VALUES ("I love testing");
+SELECT MD5("I love testing") = MD5(some_text) FROM t1;
+DROP TABLE t1;

=== modified file 'tests/valgrind.supp'
--- tests/valgrind.supp	2008-06-25 05:29:13 +0000
+++ tests/valgrind.supp	2009-05-10 16:43:45 +0000
@@ -24,7 +24,7 @@
 }
 
 {
-   pthead_exit memory loss 1
+   pthread_exit memory loss 1
    Memcheck:Leak
    fun:malloc
    fun:_dl_new_object

